OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
XSControl

# XSControl_Functions Class Reference

Functions from XSControl gives access to actions which can be
commanded with the resources provided by XSControl: especially
Controller and Transfer
It works by adding functions by method Init
.

`#include <XSControl_Functions.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Init ()
| Defines and loads all functions for XSControl (as ActFunc) .

## Member Function Documentation

static Standard_EXPORT void XSControl_Functions::Init | ( |  | ) | `[static]`

void XSControl_Functions::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSControl_Functions::operator new | ( | size_t | size | ) | `[inline]`

void* XSControl_Functions::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XSControl_Functions.hxx